<html data-darkreader-mode="dynamic" data-darkreader-scheme="dark"><head><style class="darkreader darkreader--fallback" media="screen"></style><style class="darkreader darkreader--user-agent" media="screen">@layer {
html {
    background-color: var(--darkreader-background-ffffff, #181a1b) !important;
}
html {
    color-scheme: dark !important;
}
iframe {
    color-scheme: dark !important;
}
html, body {
    background-color: var(--darkreader-background-ffffff, #181a1b);
}
html, body {
    border-color: var(--darkreader-border-4c4c4c, #736b5e);
    color: var(--darkreader-text-000000, #e8e6e3);
}
a {
    color: var(--darkreader-text-0040ff, #3d96ff);
}
table {
    border-color: var(--darkreader-border-808080, #545b5e);
}
mark {
    color: var(--darkreader-text-000000, #e8e6e3);
}
::placeholder {
    color: var(--darkreader-text-a9a9a9, #b2aba1);
}
input:-webkit-autofill,
textarea:-webkit-autofill,
select:-webkit-autofill {
    background-color: var(--darkreader-background-faffbd, #444800) !important;
    color: var(--darkreader-text-000000, #e8e6e3) !important;
}
::selection {
    background-color: var(--darkreader-background-0060d4, #0051b2) !important;
    color: var(--darkreader-text-ffffff, #e8e6e3) !important;
}
::-moz-selection {
    background-color: var(--darkreader-background-0060d4, #0051b2) !important;
    color: var(--darkreader-text-ffffff, #e8e6e3) !important;
}
}</style><style class="darkreader darkreader--text" media="screen"></style><style class="darkreader darkreader--invert" media="screen">.jfk-bubble.gtx-bubble, .captcheck_answer_label > input + img, span#closed_text > img[src^="https://www.gstatic.com/images/branding/googlelogo"], span[data-href^="https://www.hcaptcha.com/"] > #icon, img.Wirisformula, a[data-testid="headerMediumLogo"]>svg, .d2l-navigation-link-image-container, .d2l-iframe-loading-container {
    filter: invert(100%) hue-rotate(180deg) contrast(90%) !important;
}</style><style class="darkreader darkreader--inline" media="screen">[data-darkreader-inline-bgcolor] {
  background-color: var(--darkreader-inline-bgcolor) !important;
}
[data-darkreader-inline-bgimage] {
  background-image: var(--darkreader-inline-bgimage) !important;
}
[data-darkreader-inline-border] {
  border-color: var(--darkreader-inline-border) !important;
}
[data-darkreader-inline-border-bottom] {
  border-bottom-color: var(--darkreader-inline-border-bottom) !important;
}
[data-darkreader-inline-border-left] {
  border-left-color: var(--darkreader-inline-border-left) !important;
}
[data-darkreader-inline-border-right] {
  border-right-color: var(--darkreader-inline-border-right) !important;
}
[data-darkreader-inline-border-top] {
  border-top-color: var(--darkreader-inline-border-top) !important;
}
[data-darkreader-inline-boxshadow] {
  box-shadow: var(--darkreader-inline-boxshadow) !important;
}
[data-darkreader-inline-color] {
  color: var(--darkreader-inline-color) !important;
}
[data-darkreader-inline-fill] {
  fill: var(--darkreader-inline-fill) !important;
}
[data-darkreader-inline-stroke] {
  stroke: var(--darkreader-inline-stroke) !important;
}
[data-darkreader-inline-outline] {
  outline-color: var(--darkreader-inline-outline) !important;
}
[data-darkreader-inline-stopcolor] {
  stop-color: var(--darkreader-inline-stopcolor) !important;
}
[data-darkreader-inline-bg] {
  background: var(--darkreader-inline-bg) !important;
}
[data-darkreader-inline-border-short] {
  border: var(--darkreader-inline-border-short) !important;
}
[data-darkreader-inline-border-bottom-short] {
  border-bottom: var(--darkreader-inline-border-bottom-short) !important;
}
[data-darkreader-inline-border-left-short] {
  border-left: var(--darkreader-inline-border-left-short) !important;
}
[data-darkreader-inline-border-right-short] {
  border-right: var(--darkreader-inline-border-right-short) !important;
}
[data-darkreader-inline-border-top-short] {
  border-top: var(--darkreader-inline-border-top-short) !important;
}
[data-darkreader-inline-invert] {
    filter: invert(100%) hue-rotate(180deg);
}</style><style class="darkreader darkreader--variables" media="screen">:root {
   --darkreader-neutral-background: var(--darkreader-background-ffffff, #181a1b);
   --darkreader-neutral-text: var(--darkreader-text-000000, #e8e6e3);
   --darkreader-selection-background: var(--darkreader-background-0060d4, #0051b2);
   --darkreader-selection-text: var(--darkreader-text-ffffff, #e8e6e3);
}</style><style class="darkreader darkreader--root-vars" media="screen"></style>
    <!-- <HEAD TOP MARKER> -->
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Testing Project</title>
    <link rel="stylesheet" href="/res/perspective/css/PerspectiveClient.2c9f132a639097dcf12b.css"><style class="darkreader darkreader--sync" media="screen"></style>
    <link rel="stylesheet" href="/data/perspective/themes/light.css"><style class="darkreader darkreader--sync" media="screen"></style>
    
    
    <link rel="stylesheet" href="/data/perspective/symbol-style-classes/Testing_Project/light/0/symbols.css"><style class="darkreader darkreader--sync" media="screen"></style>
    <link rel="icon" type="image/png" href="/res/perspective/images/favicon-196x196.png" sizes="196x196">
<link rel="icon" type="image/png" href="/res/perspective/images/favicon-96x96.png" sizes="96x96">
<link rel="icon" type="image/png" href="/res/perspective/images/favicon-32x32.png" sizes="32x32">
<link rel="icon" type="image/png" href="/res/perspective/images/favicon-16x16.png" sizes="16x16">
<link rel="icon" type="image/png" href="/res/perspective/images/favicon-128.png" sizes="128x128">
<link rel="apple-touch-icon-precomposed" sizes="57x57" href="/res/perspective/images/apple-touch-icon-57x57.png">
<link rel="apple-touch-icon-precomposed" sizes="114x114" href="/res/perspective/images/apple-touch-icon-114x114.png">
<link rel="apple-touch-icon-precomposed" sizes="72x72" href="/res/perspective/images/apple-touch-icon-72x72.png">
<link rel="apple-touch-icon-precomposed" sizes="144x144" href="/res/perspective/images/apple-touch-icon-144x144.png">
<link rel="apple-touch-icon-precomposed" sizes="60x60" href="/res/perspective/images/apple-touch-icon-60x60.png">
<link rel="apple-touch-icon-precomposed" sizes="120x120" href="/res/perspective/images/apple-touch-icon-120x120.png">
<link rel="apple-touch-icon-precomposed" sizes="76x76" href="/res/perspective/images/apple-touch-icon-76x76.png">
<link rel="apple-touch-icon-precomposed" sizes="152x152" href="/res/perspective/images/apple-touch-icon-152x152.png">
<meta name="msapplication-TileColor" content="#003E69">
<meta name="msapplication-TileImage" content="/res/perspective/images/mstile-144x144.png">
<meta name="msapplication-square70x70logo" content="/res/perspective/images/mstile-70x70.png">
<meta name="msapplication-square150x150logo" content="/res/perspective/images/mstile-150x150.png">
<meta name="msapplication-wide310x150logo" content="/res/perspective/images/mstile-310x150.png">
<meta name="msapplication-square310x310logo" content="/res/perspective/images/mstile-310x310.png">

    <!-- This is the template file -->
    <meta name="application-name" content="&nbsp;">
    <!-- <HEAD BOTTOM MARKER> -->
<meta name="darkreader" content="d5f0140cd64f42a5848d8b9f292e20f7"><style class="darkreader darkreader--override" media="screen">.vimvixen-hint {
    background-color: var(--darkreader-background-ffd76e, #846000) !important;
    border-color: var(--darkreader-background-c59d00, #aa8700) !important;
    color: var(--darkreader-text-302505, #d7d4cf) !important;
}
#vimvixen-console-frame {
    color-scheme: light !important;
}
::placeholder {
    opacity: 0.5 !important;
}
#edge-translate-panel-body,
.MuiTypography-body1,
.nfe-quote-text {
    color: var(--darkreader-neutral-text) !important;
}
gr-main-header {
    background-color: var(--darkreader-background-add8e6, #1b4958) !important;
}
.tou-z65h9k,
.tou-mignzq,
.tou-1b6i2ox,
.tou-lnqlqk {
    background-color: var(--darkreader-neutral-background) !important;
}
.tou-75mvi {
    background-color: var(--darkreader-background-cfecf5, #0f3946) !important;
}
.tou-ta9e87,
.tou-1w3fhi0,
.tou-1b8t2us,
.tou-py7lfi,
.tou-1lpmd9d,
.tou-1frrtv8,
.tou-17ezmgn {
    background-color: var(--darkreader-background-f5f5f5, #1e2021) !important;
}
.tou-uknfeu {
    background-color: var(--darkreader-background-faedda, #432b09) !important;
}
.tou-6i3zyv {
    background-color: var(--darkreader-background-85c3d8, #245c6f) !important;
}
div.mermaid-viewer-control-panel .btn {
    background-color: var(--darkreader-neutral-background);
    fill: var(--darkreader-neutral-text);
}
svg g rect.er {
    fill: var(--darkreader-neutral-background) !important;
}
svg g rect.er.entityBox {
    fill: var(--darkreader-neutral-background) !important;
}
svg g rect.er.attributeBoxOdd {
    fill: var(--darkreader-neutral-background) !important;
}
svg g rect.er.attributeBoxEven {
    fill: var(--darkreader-selection-background);
    fill-opacity: 0.8 !important;
}
svg rect.er.relationshipLabelBox {
    fill: var(--darkreader-neutral-background) !important;
}
svg g g.nodes rect,
svg g g.nodes polygon {
    fill: var(--darkreader-neutral-background) !important;
}
svg g rect.task {
    fill: var(--darkreader-selection-background) !important;
}
svg line.messageLine0,
svg line.messageLine1 {
    stroke: var(--darkreader-neutral-text) !important;
}
div.mermaid .actor {
    fill: var(--darkreader-neutral-background) !important;
}
mitid-authenticators-code-app > .code-app-container {
    background-color: white !important;
    padding-top: 1rem;
}
iframe#unpaywall[src$="unpaywall.html"] {
    color-scheme: light !important;
}
select {
    --darkreader-bg--form-control-background-color: rgba(22, 22, 22, 0) !important;
}
body#tumblr {
    --darkreader-bg--secondary-accent: 31, 32, 34 !important;
    --darkreader-bg--white: 23, 23, 23 !important;
    --darkreader-text--black: 228, 224, 218 !important;
}
:host {
    --d2l-border-color: var(--darkreader-bg--d2l-color-gypsum) !important;
    --d2l-button-icon-background-color-hover: var(--darkreader-bg--d2l-color-gypsum) !important;
    --d2l-color-ferrite: var(--darkreader-neutral-text) !important;
    --d2l-color-sylvite: var(--darkreader-bg--d2l-color-sylvite) !important;
    --d2l-dropdown-background-color: var(--darkreader-neutral-background) !important;
    --d2l-dropdown-border-color: var(--darkreader-border--d2l-color-mica) !important;
    --d2l-input-backgroud-color: var(--darkreader-neutral-background) !important;
    --d2l-menu-border-color: var(--darkreader-bg--d2l-color-gypsum) !important;
    --d2l-tooltip-background-color: var(--darkreader-neutral-background) !important;
    --d2l-tooltip-border-color: var(--darkreader-bg--d2l-color-gypsum) !important;
}
:host([_floating]) .d2l-floating-buttons-container {
    background-color: var(--darkreader-neutral-background) !important;
    border-top-color: var(--darkreader-border--d2l-color-mica) !important;
    opacity: 0.88 !important;
}
d2l-card {
    background: var(--darkreader-neutral-background) !important;
    border-color: var(--darkreader-border--d2l-color-gypsum) !important;
}
d2l-dropdown-content > div,
d2l-menu-item {
    background-color: var(--darkreader-neutral-background) !important;
    border-radius: 10px !important;
}
d2l-empty-state-simple {
    border-color: var(--darkreader-bg--d2l-color-gypsum) !important;
}
.d2l-button-filter > ul > li > a.vui-button {
    border-color: var(--darkreader-border--d2l-color-mica) !important;
}
.d2l-label-text:has(.d2l-button-subtle-content):hover,
.d2l-label-text:has(.d2l-button-subtle-content):focus,
.d2l-label-text:has(.d2l-button-subtle-content):active {
    background-color: var(--darkreader-bg--d2l-color-gypsum) !important;
}
.d2l-navigation-centerer {
    color: inherit !important;
}
.d2l-tabs-layout {
    border-color: var(--darkreader-border--d2l-color-gypsum) !important;
}
.d2l-input,
.d2l-calendar-date,
.d2l-htmleditor-container {
    background-color: var(--darkreader-neutral-background) !important;
}
.d2l-collapsible-panel {
    border: 1px solid var(--darkreader-border--d2l-color-mica) !important;
    border-radius: 0.4rem !important;
}
.d2l-collapsible-panel-divider {
    border-bottom: 1px solid var(--darkreader-border--d2l-color-mica) !important;
}
.d2l-w2d-flex {
    border-bottom: 2px solid var(--darkreader-border--d2l-color-mica) !important;
}
.d2l-collapsible-panel scrolled,
.d2l-collapsible-panel-header,
.d2l-w2d-collection-fixed {
    background-color: var(--darkreader-neutral-background) !important;
}
.d2l-loading-spinner-bg {
    fill: var(--darkreader-bg--d2l-color-gypsum) !important;
}
.d2l-loading-spinner-bg-stroke {
    stroke: var(--darkreader-border--d2l-color-mica) !important;
}
.d2l-loading-spinner-wrapper svg path,
.d2l-loading-spinner-wrapper svg circle {
    fill: var(--darkreader-neutral-background) !important;
}
.d2l-twopanelselector-side.d2l-twopanelselector-side-sep {
    background: var(--darkreader-bg--d2l-color-mica) !important;
}
.d2l-le-TreeAccordionItem-anchor::before {
    background: var(--darkreader-bg--d2l-color-corundum) !important;
}
embed[type="application/pdf"][src="about:blank"] { filter: invert(100%) contrast(90%); }</style><link rel="stylesheet" type="text/css" href="/res/perspective/css/PerspectiveComponents.b71a3589e7cddd1f3b6a.css"><style class="darkreader darkreader--sync" media="screen"></style><link rel="stylesheet" href="/data/perspective/style-classes/Testing_Project/-650816224/style.css"><style class="darkreader darkreader--sync" media="screen"></style><script type="text/javascript" src="/res/perspective/js/PerspectiveComponents.b71a3589e7cddd1f3b6a.js"></script></head>
<body>
<!-- <BODY TOP MARKER> -->
<div id="app-container"><div class="client-root"><div class="connection-banner banner-inactive no-print" style="z-index: 13000;"><div class="connection-message">No Connection to Gateway</div></div><div class="center-column flex-col"><div class="center view-parent center-disable-transitions" style="max-height: calc(100% + 0px); max-width: calc(100% + 0px); margin: 0px;"><div></div><div data-component="ia.container.coord" data-component-path="C.0" class="ia_container--root ia_container--primary coord-aspect-ratio aspect-horizontal view"><div class="no-zone" style="flex: 0 1 auto;"></div><div class="inner-container" style="flex: 1 1 auto;"><svg data-component="ia.shapes.svg" data-component-path="C.0:0" viewBox="0 0 1920 1080" preserveAspectRatio="xMidYMid" style="position: absolute; left: 0%; top: 0%; width: 100%; height: 100%;"><rect height="1080" name="rect" width="1920" style="fill: rgb(255, 255, 255); --darkreader-inline-fill: var(--darkreader-text-ffffff, #e8e6e3);" data-darkreader-inline-fill=""></rect><g id="C-0-0-ConveyorAPF" name="ConveyorAPF" transform="translate(340,200) scale(4.238921,4.231312) translate(-8.77,-20.58)"><rect height="6.8378963" name="rect" width="36.07552" x="8.8924971" y="20.705994" style="fill: rgb(0, 0, 0); fill-opacity: 1; stroke: rgb(0, 0, 0); stroke-dasharray: none; stroke-width: 0.253072; --darkreader-inline-fill: var(--darkreader-text-000000, #e8e6e3); --darkreader-inline-stroke: var(--darkreader-text-000000, #e8e6e3);" data-darkreader-inline-fill="" data-darkreader-inline-stroke=""></rect></g><g id="C-0-0-ConveyorPF525" name="ConveyorPF525" transform="translate(344,368) scale(1.000000,1.000000) translate(0,0)"><polygon name="polygon" points="0,0 40,0 80,30 0,30" style="fill: rgb(0, 0, 0); stroke: rgb(0, 0, 0); stroke-width: 0.5; --darkreader-inline-fill: var(--darkreader-text-000000, #e8e6e3); --darkreader-inline-stroke: var(--darkreader-text-000000, #e8e6e3);" data-darkreader-inline-fill="" data-darkreader-inline-stroke=""></polygon></g><g id="C-0-0-FMH" name="FMH" transform="translate(570,188) scale(3.540393,6.315789) translate(-105.4,-19.87)"><path d="m 108.68536,20.598774 6.82539,0.003 0.003,1.164131 20.81191,0.0049 0.0152,4.770427 -20.82455,0.01023 v 1.156539 l -6.84815,-0.003 -0.74911,0.584601 -2.389,-0.04304 0.008,-8.229933 c 0.0607,-0.0078 2.389,-0.01269 2.389,-0.01269 z" name="path" style="fill: rgb(0, 0, 0); fill-rule: nonzero; fill-opacity: 1; stroke: rgb(0, 0, 0); stroke-dasharray: none; stroke-dashoffset: 0; stroke-opacity: 1; stroke-width: 0.253072; --darkreader-inline-fill: var(--darkreader-text-000000, #e8e6e3); --darkreader-inline-stroke: var(--darkreader-text-000000, #e8e6e3);" data-darkreader-inline-fill="" data-darkreader-inline-stroke=""></path></g><g id="C-0-0-JPE" name="JPE" transform="translate(820,200) scale(2.795806,2.781641) translate(-367.74,-74.06)"><path d="m 370.67994,77.080102 -0.009,-1.238947 -2.55762,-1.420082 -0.009,6.462826 2.5721,-1.470806 -0.009,-1.144753 15.63533,-0.0067 v 1.738872 l 1.10131,-0.0067 v -4.637248 l -1.10131,0.0067 -0.009,1.731622 z" name="path" style="fill: rgb(255, 255, 255); fill-opacity: 1; stroke: rgb(0, 0, 0); stroke-width: 0.724531; --darkreader-inline-fill: var(--darkreader-text-ffffff, #e8e6e3); --darkreader-inline-stroke: var(--darkreader-text-000000, #e8e6e3);" data-darkreader-inline-fill="" data-darkreader-inline-stroke=""></path></g><g id="C-0-0-PS" name="PS" transform="translate(836,276) scale(2.781641,2.785515) translate(-402.38,-20.7)"><path d="m 409.39544,24.290305 c 0,1.889037 -1.53137,3.4204 -3.42039,3.4204 -1.88906,0 -3.4204,-1.531363 -3.4204,-3.4204 0,-1.889036 1.53134,-3.420401 3.4204,-3.420401 1.88902,0 3.42039,1.531365 3.42039,3.420401 z m -5.30161,-1.36816 c 0.95859,-1.217605 2.80381,-1.217605 3.76244,0 m -3.76244,0 -0.58147,-0.615673 m 4.34391,0.615673 0.58147,-0.615673 m -2.46269,2.325873 -1.51781,-2.597366" name="path" style="fill: transparent; fill-opacity: 1; stroke: rgb(0, 0, 0); stroke-linecap: round; stroke-linejoin: round; stroke-opacity: 1; stroke-width: 0.342039; --darkreader-inline-fill: transparent; --darkreader-inline-stroke: var(--darkreader-text-000000, #e8e6e3);" data-darkreader-inline-fill="" data-darkreader-inline-stroke=""></path></g><g id="C-0-0-Diverter" name="Diverter" transform="translate(598,372) scale(2.891791,2.873563) translate(-343.75,-118.86)"><g name="group" transform="matrix(0,-0.41915548,0.41915548,0,343.95849,125.60262)"><rect height="24.59" name="rect" rx="5.4099998" ry="5.4099998" width="15.6" x="0" y="0" style="fill: rgb(170, 170, 170); fill-opacity: 1; stroke: rgb(0, 0, 0); stroke-width: 1; --darkreader-inline-fill: var(--darkreader-text-aaaaaa, #b3aca2); --darkreader-inline-stroke: var(--darkreader-text-000000, #e8e6e3);" data-darkreader-inline-fill="" data-darkreader-inline-stroke=""></rect><rect height="22.82" name="rect" rx="2.01" ry="2.01" width="4.02" x="5.79" y="1.05" style="fill: rgb(0, 0, 0); fill-opacity: 1; stroke: rgb(0, 0, 0); stroke-opacity: 1; stroke-width: 1; --darkreader-inline-fill: var(--darkreader-text-000000, #e8e6e3); --darkreader-inline-stroke: var(--darkreader-text-000000, #e8e6e3);" data-darkreader-inline-fill="" data-darkreader-inline-stroke=""></rect></g></g><g id="C-0-0-S" name="S" transform="translate(974,196) scale(2.844950,2.844950) translate(-85.7,-188.67)"><g name="group" transform="matrix(0,0.39072057,-0.39072057,0,92.533592,188.86105)"><rect height="17" name="rect" width="17" x="0" y="0" style="fill: rgb(170, 170, 170); fill-opacity: 1; stroke: rgb(0, 0, 0); stroke-width: 1; --darkreader-inline-fill: var(--darkreader-text-aaaaaa, #b3aca2); --darkreader-inline-stroke: var(--darkreader-text-000000, #e8e6e3);" data-darkreader-inline-fill="" data-darkreader-inline-stroke=""></rect><circle cx="8.5" cy="8.5" name="circle" r="4.1999998" style="fill: rgb(0, 0, 0); fill-opacity: 1; stroke: rgb(0, 0, 0); stroke-width: 1; --darkreader-inline-fill: var(--darkreader-text-000000, #e8e6e3); --darkreader-inline-stroke: var(--darkreader-text-000000, #e8e6e3);" data-darkreader-inline-fill="" data-darkreader-inline-stroke=""></circle></g></g><g id="C-0-0-SS" name="SS" transform="translate(960,276) scale(2.836879,2.836879) translate(-331.32,-188.66)"><g name="group" transform="matrix(0.39163459,0,0,0.39163459,331.51284,188.85428)"><rect height="17" name="rect" width="35" x="0" y="0" style="fill: rgb(170, 170, 170); fill-opacity: 1; stroke: rgb(0, 0, 0); stroke-width: 1; --darkreader-inline-fill: var(--darkreader-text-aaaaaa, #b3aca2); --darkreader-inline-stroke: var(--darkreader-text-000000, #e8e6e3);" data-darkreader-inline-fill="" data-darkreader-inline-stroke=""></rect><circle cx="8.5" cy="8.5" name="circle" r="4.1999998" style="fill: rgb(0, 0, 0); fill-opacity: 1; stroke: rgb(0, 0, 0); stroke-width: 1; --darkreader-inline-fill: var(--darkreader-text-000000, #e8e6e3); --darkreader-inline-stroke: var(--darkreader-text-000000, #e8e6e3);" data-darkreader-inline-fill="" data-darkreader-inline-stroke=""></circle><circle cx="26.5" cy="8.5" name="circle" r="4.1999998" style="fill: rgb(0, 0, 0); fill-opacity: 1; stroke: rgb(0, 0, 0); stroke-width: 1; --darkreader-inline-fill: var(--darkreader-text-000000, #e8e6e3); --darkreader-inline-stroke: var(--darkreader-text-000000, #e8e6e3);" data-darkreader-inline-fill="" data-darkreader-inline-stroke=""></circle></g></g><g id="C-0-0-EN" name="EN" transform="translate(972,362) scale(2.844950,2.844950) translate(-162.86,-189.17)"><g name="group" transform="matrix(0,0.39072057,-0.39072057,0,169.69698,189.36721)"><rect height="17" name="rect" width="17" x="0" y="0" style="fill: rgb(170, 170, 170); fill-opacity: 1; stroke: rgb(0, 0, 0); stroke-width: 1; --darkreader-inline-fill: var(--darkreader-text-aaaaaa, #b3aca2); --darkreader-inline-stroke: var(--darkreader-text-000000, #e8e6e3);" data-darkreader-inline-fill="" data-darkreader-inline-stroke=""></rect><circle cx="8.5" cy="8.5" name="circle" r="4.1999998" style="fill: rgb(0, 0, 0); fill-opacity: 1; stroke: rgb(0, 0, 0); stroke-width: 1; --darkreader-inline-fill: var(--darkreader-text-000000, #e8e6e3); --darkreader-inline-stroke: var(--darkreader-text-000000, #e8e6e3);" data-darkreader-inline-fill="" data-darkreader-inline-stroke=""></circle></g></g><g id="C-0-0-PR" name="PR" transform="translate(1090,190) scale(2.844950,2.844950) translate(-239.98,-188.67)"><g name="group" transform="matrix(0,0.39072057,-0.39072057,0,246.82204,188.86105)"><rect height="17" name="rect" width="17" x="0" y="0" style="fill: rgb(170, 170, 170); fill-opacity: 1; stroke: rgb(0, 0, 0); stroke-width: 1; --darkreader-inline-fill: var(--darkreader-text-aaaaaa, #b3aca2); --darkreader-inline-stroke: var(--darkreader-text-000000, #e8e6e3);" data-darkreader-inline-fill="" data-darkreader-inline-stroke=""></rect><circle cx="8.5" cy="8.5" name="circle" r="4.1999998" style="fill: rgb(0, 0, 0); fill-opacity: 1; stroke: rgb(0, 0, 0); stroke-width: 1; --darkreader-inline-fill: var(--darkreader-text-000000, #e8e6e3); --darkreader-inline-stroke: var(--darkreader-text-000000, #e8e6e3);" data-darkreader-inline-fill="" data-darkreader-inline-stroke=""></circle></g></g><g id="C-0-0-Beacon" name="Beacon" transform="translate(1092,272) scale(1.000000,1.000000) translate(0,0)"><rect height="19" name="rect" width="19" x="0.5" y="0.5" style="fill: transparent; stroke: rgb(0, 0, 0); stroke-width: 1; --darkreader-inline-fill: transparent; --darkreader-inline-stroke: var(--darkreader-text-000000, #e8e6e3);" data-darkreader-inline-fill="" data-darkreader-inline-stroke=""></rect><text font-size="14" name="text" text-anchor="middle" x="10" y="15" style="fill: rgb(0, 0, 0); --darkreader-inline-fill: var(--darkreader-text-000000, #e8e6e3);" data-darkreader-inline-fill="">B</text></g><g id="C-0-0-Solenoid" name="Solenoid" transform="translate(1092,350) scale(1.000000,1.000000) translate(0,0)"><rect height="19" name="rect" width="19" x="0.5" y="0.5" style="fill: transparent; stroke: rgb(0, 0, 0); stroke-width: 1; --darkreader-inline-fill: transparent; --darkreader-inline-stroke: var(--darkreader-text-000000, #e8e6e3);" data-darkreader-inline-fill="" data-darkreader-inline-stroke=""></rect><text font-size="10" name="text" text-anchor="middle" x="10" y="14" style="fill: rgb(0, 0, 0); --darkreader-inline-fill: var(--darkreader-text-000000, #e8e6e3);" data-darkreader-inline-fill="">SOL</text></g><g id="C-0-0-PMM" name="PMM" transform="translate(1146,140) scale(2.822581,2.816901) translate(-248.87,-20.68)"><g name="group" transform="matrix(0.54042475,0,0,0.54042475,131.22377,-183.27002)"><g name="group" transform="matrix(0.73,0,0,0.73,222.84675,378.1)"></g></g></g><g id="C-0-0-DPM" name="DPM" transform="translate(1188,266) scale(2.843217,2.869440) translate(-277.19,-20.66)"><g name="group" transform="matrix(0.4405147,0,0,0.4405147,277.41025,20.881549)"><path d="M 0,0 H 26.95 V 14.82 Z" name="path" style="fill: rgb(194, 194, 194); fill-opacity: 1; stroke: transparent; --darkreader-inline-fill: var(--darkreader-text-c2c2c2, #c2bcb4); --darkreader-inline-stroke: transparent;" data-darkreader-inline-fill="" data-darkreader-inline-stroke=""></path><path d="M 0,0 V 14.82 H 26.95 Z" name="path" style="fill: rgb(0, 0, 0); stroke: transparent; --darkreader-inline-fill: var(--darkreader-text-000000, #e8e6e3); --darkreader-inline-stroke: transparent;" data-darkreader-inline-fill="" data-darkreader-inline-stroke=""></path><rect height="14.82" name="rect" width="26.950001" x="0" y="0" style="fill: transparent; stroke: rgb(45, 45, 45); stroke-width: 1; --darkreader-inline-fill: transparent; --darkreader-inline-stroke: var(--darkreader-text-2d2d2d, #ccc7c0);" data-darkreader-inline-fill="" data-darkreader-inline-stroke=""></rect></g></g><g id="C-0-0-MCM" name="MCM" transform="translate(1184,340) scale(2.733485,2.713704) translate(-249.33,-118.41)"><g name="group" transform="matrix(0.81443942,0,0,0.49716783,249.3337,118.40634)"><path d="M 0,0 H 26.95 V 14.82 Z" name="path" style="fill: rgb(0, 0, 0); fill-opacity: 1; stroke: transparent; stroke-dasharray: none; stroke-opacity: 1; stroke-width: 0; --darkreader-inline-fill: var(--darkreader-text-000000, #e8e6e3); --darkreader-inline-stroke: transparent;" data-darkreader-inline-fill="" data-darkreader-inline-stroke=""></path><path d="M 0,0 V 14.82 H 26.95 Z" name="path" style="fill: rgb(194, 194, 194); fill-opacity: 1; stroke: transparent; stroke-dasharray: none; stroke-opacity: 1; stroke-width: 0; --darkreader-inline-fill: var(--darkreader-text-c2c2c2, #c2bcb4); --darkreader-inline-stroke: transparent;" data-darkreader-inline-fill="" data-darkreader-inline-stroke=""></path></g></g><g id="C-0-0-EPC" name="EPC"><polyline name="polyline" points="1315,196 1444,196" style="fill: transparent; stroke: rgb(0, 0, 0); stroke-width: 0.4; --darkreader-inline-fill: transparent; --darkreader-inline-stroke: var(--darkreader-text-000000, #e8e6e3);" data-darkreader-inline-fill="" data-darkreader-inline-stroke=""></polyline><g name="group" transform="translate(1315,196) rotate(0.00) translate(-26,-10) scale(2.166667,2.500000) translate(-249.3,-73.5)"><g name="group" transform="matrix(0.43585205,0,0,0.43585205,48.174699,-144.38435)"><path d="M 0,0 H 15 V 24 H 0 Z" name="path" transform="rotate(-90,490.34,26.61)" style="fill: rgb(170, 170, 170); stroke: rgb(0, 0, 0); stroke-width: 2.3; --darkreader-inline-fill: var(--darkreader-text-aaaaaa, #b3aca2); --darkreader-inline-stroke: var(--darkreader-text-000000, #e8e6e3);" data-darkreader-inline-fill="" data-darkreader-inline-stroke=""></path><path d="m 12.01,16.19 c 0,2.3 -1.88,4.16 -4.2,4.16 -2.32,0 -4.2,-1.86 -4.2,-4.16 0,-2.3 1.88,-4.16 4.2,-4.16 2.32,0 4.2,1.86 4.2,4.16 z M 6.39,6.35 3.95,3.76 4.68,2.89 7.49,4.45 C 7.05,4.98 6.7,5.64 6.39,6.35 Z m 5.89,0.38 c 0,1.6 -1.29,2.89 -2.89,2.89 -1.6,0 -2.89,-1.29 -2.89,-2.89 0,-1.6 1.29,-2.89 2.89,-2.89 1.6,0 2.89,1.29 2.89,2.89 z" name="path" transform="rotate(-90,490.34,26.61)" style="fill: rgb(0, 0, 0); fill-opacity: 1; stroke: rgb(0, 0, 0); stroke-width: 1.8; --darkreader-inline-fill: var(--darkreader-text-000000, #e8e6e3); --darkreader-inline-stroke: var(--darkreader-text-000000, #e8e6e3);" data-darkreader-inline-fill="" data-darkreader-inline-stroke=""></path></g></g><rect height="20" name="rect" transform="translate(1444,196) rotate(0.00)" width="10" x="0" y="-10" style="fill: rgb(170, 170, 170); stroke: rgb(0, 0, 0); stroke-width: 0.3; --darkreader-inline-fill: var(--darkreader-text-aaaaaa, #b3aca2); --darkreader-inline-stroke: var(--darkreader-text-000000, #e8e6e3);" data-darkreader-inline-fill="" data-darkreader-inline-stroke=""></rect></g><g id="C-0-0-Tipper" name="Tipper" transform="translate(344,282) scale(2.843998,4.255319) translate(-77.33,-20.68)"><rect height="6.8426228" name="rect" width="23.706432" x="77.43396" y="20.782726" style="fill: rgb(0, 0, 0); fill-opacity: 1; stroke: rgb(0, 0, 0); stroke-dasharray: none; stroke-width: 0.205221; --darkreader-inline-fill: var(--darkreader-text-000000, #e8e6e3); --darkreader-inline-stroke: var(--darkreader-text-000000, #e8e6e3);" data-darkreader-inline-fill="" data-darkreader-inline-stroke=""></rect></g><g id="C-0-0-LRPE" name="LRPE" transform="translate(820,154) scale(2.795806,2.781641) translate(-367.74,-74.06)"><path d="m 370.67994,77.080102 -0.009,-1.238947 -2.55762,-1.420082 -0.009,6.462826 2.5721,-1.470806 -0.009,-1.144753 15.63533,-0.0067 v 1.738872 l 1.10131,-0.0067 v -4.637248 l -1.10131,0.0067 -0.009,1.731622 z" name="path" style="fill: rgb(255, 255, 255); fill-opacity: 1; stroke: rgb(0, 0, 0); stroke-width: 0.724531; --darkreader-inline-fill: var(--darkreader-text-ffffff, #e8e6e3); --darkreader-inline-stroke: var(--darkreader-text-000000, #e8e6e3);" data-darkreader-inline-fill="" data-darkreader-inline-stroke=""></path></g><g id="C-0-0-LPE" name="LPE" transform="translate(820,116) scale(2.795806,2.781641) translate(-367.74,-74.06)"><path d="m 370.67994,77.080102 -0.009,-1.238947 -2.55762,-1.420082 -0.009,6.462826 2.5721,-1.470806 -0.009,-1.144753 15.63533,-0.0067 v 1.738872 l 1.10131,-0.0067 v -4.637248 l -1.10131,0.0067 -0.009,1.731622 z" name="path" style="fill: rgb(255, 255, 255); fill-opacity: 1; stroke: rgb(0, 0, 0); stroke-width: 0.724531; --darkreader-inline-fill: var(--darkreader-text-ffffff, #e8e6e3); --darkreader-inline-stroke: var(--darkreader-text-000000, #e8e6e3);" data-darkreader-inline-fill="" data-darkreader-inline-stroke=""></path></g><g id="C-0-0-FPE" name="FPE" transform="translate(820,74) scale(2.795806,2.781641) translate(-367.74,-74.06)"><path d="m 370.67994,77.080102 -0.009,-1.238947 -2.55762,-1.420082 -0.009,6.462826 2.5721,-1.470806 -0.009,-1.144753 15.63533,-0.0067 v 1.738872 l 1.10131,-0.0067 v -4.637248 l -1.10131,0.0067 -0.009,1.731622 z" name="path" style="fill: rgb(255, 255, 255); fill-opacity: 1; stroke: rgb(0, 0, 0); stroke-width: 0.724531; --darkreader-inline-fill: var(--darkreader-text-ffffff, #e8e6e3); --darkreader-inline-stroke: var(--darkreader-text-000000, #e8e6e3);" data-darkreader-inline-fill="" data-darkreader-inline-stroke=""></path></g><g id="C-0-0-JR" name="JR" transform="translate(836,364) scale(2.844950,2.844950) translate(-8.61,-188.67)"><g name="group" transform="matrix(0,0.39072057,-0.39072057,0,15.446013,188.86105)"><rect height="17" name="rect" width="17" x="0" y="0" style="fill: rgb(170, 170, 170); fill-opacity: 1; stroke: rgb(0, 0, 0); stroke-width: 1; --darkreader-inline-fill: var(--darkreader-text-aaaaaa, #b3aca2); --darkreader-inline-stroke: var(--darkreader-text-000000, #e8e6e3);" data-darkreader-inline-fill="" data-darkreader-inline-stroke=""></rect><circle cx="8.5" cy="8.5" name="circle" r="4.1999998" style="fill: rgb(0, 0, 0); fill-opacity: 1; stroke: rgb(0, 0, 0); stroke-width: 1; --darkreader-inline-fill: var(--darkreader-text-000000, #e8e6e3); --darkreader-inline-stroke: var(--darkreader-text-000000, #e8e6e3);" data-darkreader-inline-fill="" data-darkreader-inline-stroke=""></circle></g></g><g id="C-0-0-PDP" name="PDP" transform="translate(1188,188) scale(1.000000,1.000000) translate(0,0)"><rect height="19" name="rect" width="29" x="0.5" y="0.5" style="fill: transparent; stroke: rgb(0, 0, 0); stroke-width: 1; --darkreader-inline-fill: transparent; --darkreader-inline-stroke: var(--darkreader-text-000000, #e8e6e3);" data-darkreader-inline-fill="" data-darkreader-inline-stroke=""></rect><text font-size="10" name="text" text-anchor="middle" x="15" y="14" style="fill: rgb(0, 0, 0); --darkreader-inline-fill: var(--darkreader-text-000000, #e8e6e3);" data-darkreader-inline-fill="">PDP</text></g><g id="C-0-0-FIO" name="FIO" transform="translate(1364,260) scale(2.839757,2.915452) translate(-319.82,-20.62)"><path d="m 322.28512,20.834533 c -1.24309,0 -2.24712,1.004022 -2.24712,2.247095 0,1.686406 2.24712,4.17255 2.24712,4.17255 0,0 2.24707,-2.486144 2.24707,-4.17255 0,-1.243073 -1.004,-2.247095 -2.24707,-2.247095 z m 0,3.046831 c -0.44335,0 -0.79976,-0.36075 -0.79976,-0.799736 0,-0.443335 0.36076,-0.799739 0.79976,-0.799739 0.44332,0 0.79973,0.36075 0.79973,0.799739 0,0.443332 -0.36075,0.799736 -0.79973,0.799736 z" name="path" style="fill: rgb(0, 0, 0); fill-opacity: 1; stroke: rgb(0, 0, 0); stroke-width: 0.43464; --darkreader-inline-fill: var(--darkreader-text-000000, #e8e6e3); --darkreader-inline-stroke: var(--darkreader-text-000000, #e8e6e3);" data-darkreader-inline-fill="" data-darkreader-inline-stroke=""></path></g><g id="C-0-0-Chute" name="Chute" transform="translate(582,288) scale(2.843998,4.255319) translate(-49.24,-20.68)"><rect height="6.8426228" name="rect" width="23.706432" x="49.341972" y="20.782726" style="fill: rgb(0, 0, 0); fill-opacity: 1; stroke: rgb(0, 0, 0); stroke-dasharray: none; stroke-width: 0.205221; --darkreader-inline-fill: var(--darkreader-text-000000, #e8e6e3); --darkreader-inline-stroke: var(--darkreader-text-000000, #e8e6e3);" data-darkreader-inline-fill="" data-darkreader-inline-stroke=""></rect></g></svg><div id="coordinateGhost" style="width: 100%; height: 100%; z-index: -200000;"></div></div><div class="no-zone" style="flex: 0 1 auto;"></div><div></div></div></div></div><div class="app-modal-wrapper no-print" tabindex="0" style="visibility: hidden; opacity: 0; z-index: 14010;"><div class="app-modal app-modal-closed"><div class="modal-header"><div class="modal-title">Session Status</div><svg class="close-icon material-icons md-24" fill="#FFFFFF" viewBox="0 0 24 24" data-darkreader-inline-fill="" style="--darkreader-inline-fill: var(--darkreader-text-ffffff, #e8e6e3);"><path d="M19 6.41L17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12z"></path></svg><div class="client-status-navbar"><div id="gateway-nav" class="status-menu-item" style="color: rgb(255, 255, 255); --darkreader-inline-color: var(--darkreader-text-ffffff, #e8e6e3);" data-darkreader-inline-color="">GATEWAY</div><div id="project-nav" class="status-menu-item" style="color: rgb(195, 195, 195); --darkreader-inline-color: var(--darkreader-text-c3c3c3, #c2bdb5);" data-darkreader-inline-color="">PROJECT</div><span class="selected-underline gateway-select"></span></div></div><div class="status-page-body" style="overflow-x: hidden;"><div class="react-swipeable-view-container" style="flex-direction: row; transition: all; direction: ltr; display: flex; will-change: transform; transform: translate(0%, 0px);"><div aria-hidden="false" data-swipeable="true" style="width: 100%; flex-shrink: 0; overflow: auto;"><div class="modal-body connection-page --standard"><div class="modal-connection-status status-connected"><div class="gateway-icon"><svg class="material-icons md-60" fill="currentColor" viewBox="0 0 64 64"><path d="M32,48 C34.9333333,48 37.3333333,45.6 37.3333333,42.6666667 C37.3333333,39.7333333 34.9333333,37.3333333 32,37.3333333 C29.0666667,37.3333333 26.6666667,39.7333333 26.6666667,42.6666667 C26.6666667,45.6 29.0666667,48 32,48 Z M47.6444444,5.33333333 L16.3555556,5.33333333 C13.2266667,5.33333333 10.6666667,8 10.6666667,11.2592593 L10.6666667,52.7407407 C10.6666667,56 13.2266667,58.6666667 16.3555556,58.6666667 L47.6444444,58.6666667 C50.7733333,58.6666667 53.3333333,56 53.3333333,52.7407407 L53.3333333,11.2592593 C53.3333333,8 50.7733333,5.33333333 47.6444444,5.33333333 Z M48,53.3333333 L16,53.3333333 L16,10.6666667 L48,10.6666667 L48,53.3333333 Z M21.3333333,16 L42.6666667,16 L42.6666667,21.3333333 L21.3333333,21.3333333 L21.3333333,16 Z M21.3333333,26.6666667 L42.6666667,26.6666667 L42.6666667,32 L21.3333333,32 L21.3333333,26.6666667 Z"></path></svg><div class="gateway-role"></div></div><div class="connection-status-content"><div class="gateway-name">Ignition-DEV-5</div><div class="gateway-status-message"><svg class="material-icons md-24" fill="currentColor" viewBox="0 0 24 24"><path d="M9 16.2L4.8 12l-1.4 1.4L9 19 21 7l-1.4-1.4L9 16.2z"></path></svg><div class="message-text">CONNECTED</div></div><div class="gateway-activity-level"></div></div></div><div class="modal-detail gateway-url modal-open-page"><div class="detail-left"><div class="detail-label">Gateway URL</div><div class="detail-data">http://localhost:8088</div></div><div class="detail-right"><div class="detail-action text-button">VISIT GATEWAY</div></div></div><div class="modal-detail session-id"><div class="detail-left"><div class="detail-label">Session ID</div><div class="detail-data">e826fb89-864c-4fd2-ba34-064d77814077</div></div></div><div class="modal-detail page-id"><div class="detail-left"><div class="detail-label">Page Details</div><div class="detail-data">Page ID: 393aefe1</div></div></div></div></div><div aria-hidden="true" data-swipeable="true" style="width: 100%; flex-shrink: 0; overflow: auto;"><div class="modal-body project-page"><div class="modal-subheader"><h4>Testing Project</h4></div><div class="modal-detail project-description"></div><div class="modal-detail"><div class="detail-left"><svg class="update-icon material-icons md-24" fill="#86939E" viewBox="0 0 24 24" data-darkreader-inline-fill="" style="--darkreader-inline-fill: var(--darkreader-text-86939e, #a49c8f);"><path d="M9 16.2L4.8 12l-1.4 1.4L9 19 21 7l-1.4-1.4L9 16.2z"></path></svg><div class="update-status">Project Up to Date</div><div class="project-modified">Last modified: 2026-03-16T17:56:01+04:00 
            by admin</div></div></div></div></div></div></div></div></div><div class="app-bar bar-closed --standard no-print" style="z-index: 14020;"><svg class="about-icon material-icons md-30 about-inactive" fill="#FFFFFF" viewBox="0 0 13 16" data-darkreader-inline-fill="" style="--darkreader-inline-fill: var(--darkreader-text-ffffff, #e8e6e3);"><path d="M14.5756743,0.989879369 C14.7278364,1.39664494 14.6718491,1.85209551 14.4257031,2.20987937 C14.3657146,2.34987937 14.0990992,2.7532127 13.6258568,3.41987937 L11.9461796,5.89987937 C11.3196333,6.8732127 10.606437,7.9032127 9.80659074,8.98987937 C9.41666568,9.61987937 9.04673676,10.2698794 8.73679632,10.7498794 C8.42685588,11.2298794 8.12691352,11.6898794 7.82697116,12.1298794 C7.53613125,11.8804595 7.19519726,11.6963198 6.82716329,11.5898794 C7.00712871,11.2298794 7.34706338,10.5298794 7.82697116,9.51987937 C8.30687894,8.50987937 8.81678095,7.44987937 9.00674445,7.03987937 C9.33334835,6.2532127 9.66661764,5.5032127 10.0065523,4.78987937 L10.8963813,2.86987937 L11.5362584,1.44987937 C11.7162238,1.06987937 11.866195,0.839879369 11.866195,0.769879369 C12.0513426,0.365191783 12.4265928,0.0799468194 12.8660028,0.0098793685 C13.2131274,-0.0283991685 13.5634043,0.0451731296 13.8658107,0.219879369 C14.1797609,0.392626236 14.4289411,0.662915763 14.5756743,0.989879369 Z M5.48742075,11.5298794 L5.5574073,11.5198794 C5.19983769,11.5874858 4.85970437,11.7269673 4.55759943,11.9298794 C4.11768396,11.3198794 3.40782038,10.2898794 3.00789723,9.69987937 L2.70795487,9.32987937 C2.52798945,9.06987937 2.39801443,8.87987937 2.3180298,8.73987937 C2.23804517,8.59987937 2.11806823,8.48987937 2.11806823,8.37987937 C1.98044196,8.11321489 1.96227594,7.80069937 2.06807783,7.51987937 C2.18347834,7.23628417 2.40630058,7.00982451 2.68795871,6.88987937 C2.9595064,6.74921132 3.27533205,6.72049438 3.56778964,6.80987937 C3.85438637,6.90806088 4.0865658,7.12214243 4.20766667,7.39987937 C4.24765899,7.50987937 4.30764746,7.62987937 4.35763785,7.77987937 C4.40762825,7.92987937 4.4776148,8.14987937 4.56759751,8.45987937 L4.77755716,9.15987937 C4.99751489,9.86987937 5.31745341,10.9198794 5.48742075,11.5298794 Z M7.59701535,14.4098794 C7.6025195,15.2824637 6.89975426,15.9942991 6.02733769,15.9998159 C5.15492111,16.0053328 4.44321308,15.302442 4.43768563,14.4298579 C4.43215818,13.5572737 5.13490441,12.8454195 6.00732084,12.8398794 C6.87976309,12.8398794 7.58701727,13.5472695 7.58701727,14.4198794 L7.59701535,14.4098794 Z"></path></svg><div class="app-center-wrapper"><div class="app-center panel-inactive"><span class="app-gateway-name">Ignition-DEV-5</span><div class="notification-icon-wrapper"><div class="notification-icons center-icons pipe-inactive"><svg class="timer-icon material-icons md-18" fill="#72A7FE" viewBox="0 0 24 24" data-darkreader-inline-fill="" style="--darkreader-inline-fill: var(--darkreader-text-72a7fe, #69b4fe);"><path d="M15,1H9V3h6ZM11,14h2V8H11Zm8-6.61L20.45,6A11,11,0,0,0,19,4.56L17.62,6A9,9,0,1,0,19,7.39ZM12,20a7,7,0,1,1,7-7A7,7,0,0,1,12,20Z"></path></svg></div></div></div></div><div class="hide-icon-wrapper"><svg class="hide-icon material-icons md-32" aria-label="Hide icon" fill="#FFFFFF" viewBox="0 0 24 24" data-darkreader-inline-fill="" style="--darkreader-inline-fill: var(--darkreader-text-ffffff, #e8e6e3);"><path d="M16.59 8.59L12 13.17 7.41 8.59 6 10l6 6 6-6z"></path></svg></div><div class="app-tooltip tip-show app-tooltip-right" style="z-index: 14000; visibility: hidden; opacity: 0;">Maximize</div><div class="bar-reveal bar-reveal-visible bar-reveal-right"><div class="notification-icon-wrapper panel-inactive"><div class="notification-icons reveal-pipe-inactive"><svg class="timer-icon material-icons md-18" fill="#72A7FE" viewBox="0 0 24 24" data-darkreader-inline-fill="" style="--darkreader-inline-fill: var(--darkreader-text-72a7fe, #69b4fe);"><path d="M15,1H9V3h6ZM11,14h2V8H11Zm8-6.61L20.45,6A11,11,0,0,0,19,4.56L17.62,6A9,9,0,1,0,19,7.39ZM12,20a7,7,0,1,1,7-7A7,7,0,0,1,12,20Z"></path></svg></div></div><svg class="show-icon material-icons md-32 show-icon-visible" aria-label="Show icon" fill="#FFFFFF" viewBox="0 0 24 24" data-darkreader-inline-fill="" style="--darkreader-inline-fill: var(--darkreader-text-ffffff, #e8e6e3);"><path d="M12 8l-6 6 1.41 1.41L12 10.83l4.59 4.58L18 14z"></path></svg></div></div><div class="action-panel-overlay no-print overlay-hidden" style="z-index: -1;"><div class="action-panel-wrapper" style="bottom: -19.5rem;"><div class="action-panel"><div class="panel-header"><div class="user-info"><div class="username" title=""></div></div><div class="sign-out-button text-button">SIGN IN</div></div><div class="panel-item no-print"><svg class="panel-icon material-icons md-22 trial-icon" fill="#86939E" viewBox="0 0 24 24" data-darkreader-inline-fill="" style="--darkreader-inline-fill: var(--darkreader-text-86939e, #a49c8f);"><path d="M15,1H9V3h6ZM11,14h2V8H11Zm8-6.61L20.45,6A11,11,0,0,0,19,4.56L17.62,6A9,9,0,1,0,19,7.39ZM12,20a7,7,0,1,1,7-7A7,7,0,0,1,12,20Z"></path></svg><div class="panel-item-message"><div class="primary-message">Trial Mode Active</div><div class="secondary-message">Remaining trial time:</div></div><div class="panel-action trial-clock">01:51:56</div></div><div class="panel-item panel-open-page panel-gateway-connection no-print"><svg class="panel-icon material-icons md-26 gateway-icon" fill="#86939E" viewBox="0 0 64 64" data-darkreader-inline-fill="" style="--darkreader-inline-fill: var(--darkreader-text-86939e, #a49c8f);"><path d="M32,48 C34.9333333,48 37.3333333,45.6 37.3333333,42.6666667 C37.3333333,39.7333333 34.9333333,37.3333333 32,37.3333333 C29.0666667,37.3333333 26.6666667,39.7333333 26.6666667,42.6666667 C26.6666667,45.6 29.0666667,48 32,48 Z M47.6444444,5.33333333 L16.3555556,5.33333333 C13.2266667,5.33333333 10.6666667,8 10.6666667,11.2592593 L10.6666667,52.7407407 C10.6666667,56 13.2266667,58.6666667 16.3555556,58.6666667 L47.6444444,58.6666667 C50.7733333,58.6666667 53.3333333,56 53.3333333,52.7407407 L53.3333333,11.2592593 C53.3333333,8 50.7733333,5.33333333 47.6444444,5.33333333 Z M48,53.3333333 L16,53.3333333 L16,10.6666667 L48,10.6666667 L48,53.3333333 Z M21.3333333,16 L42.6666667,16 L42.6666667,21.3333333 L21.3333333,21.3333333 L21.3333333,16 Z M21.3333333,26.6666667 L42.6666667,26.6666667 L42.6666667,32 L21.3333333,32 L21.3333333,26.6666667 Z"></path></svg><div class="panel-item-message"><div class="primary-message">Connected: Ignition-DEV-5</div><div class="secondary-message">http://localhost:8088/data/perspective/client/Testing_Project</div></div><div class="panel-action arrow-action"><svg class="material-icons md-24" fill="#72A7FE" viewBox="0 0 24 24" data-darkreader-inline-fill="" style="--darkreader-inline-fill: var(--darkreader-text-72a7fe, #69b4fe);"><path d="M8.59 16.34l4.58-4.59-4.58-4.59L10 5.75l6 6-6 6z"></path></svg></div></div><div class="panel-notifications"></div><div class="connection-status"><svg class="gateway-icon material-icons md-16" fill="#86939E" viewBox="0 0 24 24" data-darkreader-inline-fill="" style="--darkreader-inline-fill: var(--darkreader-text-86939e, #a49c8f);"><path d="M21 21.78L4.22 5 3 6.22l2.04 2.04C4.42 8.6 4 9.25 4 10v10c0 1.1.9 2 2 2h12c.23 0 .45-.05.66-.12L19.78 23 21 21.78zM8.9 6c0-1.71 1.39-3.1 3.1-3.1s3.1 1.39 3.1 3.1v2H9.66L20 18.34V10c0-1.1-.9-2-2-2h-1V6c0-2.76-2.24-5-5-5-2.56 0-4.64 1.93-4.94 4.4L8.9 7.24V6z"></path></svg><div class="connection-security">Insecure Connection</div><div class="status-button text-button">STATUS</div></div></div></div></div><div class="notification-wrapper no-print" style="top: 0px; z-index: 13000;"></div></div></div>

<!-- Dependencies -->
<script type="application/javascript" src="/res/perspective/js/react-18.2.0.js"></script>
<script type="application/javascript" src="/res/perspective/js/react-dom-18.2.0.js"></script>
<script type="application/javascript" src="/res/perspective/js/mobx-5.15.7.js"></script>
<script type="application/javascript" src="/res/perspective/js/mobx-react-lite-1.5.2.js"></script>
<script type="application/javascript" src="/res/perspective/js/mobx-react-6.3.1.js"></script>
<script type="application/javascript" src="/res/perspective/js/moment-2.29.4.min.js"></script>
<script type="application/javascript" src="/res/perspective/xhr-length-computable.min.js"></script>

<!-- Main -->
<script type="application/javascript" src="/res/perspective/js/PerspectiveCommon.0e479e1c60fa60a13e08.js"></script>
<script type="application/javascript" src="/res/perspective/js/PerspectiveClient.2c9f132a639097dcf12b.js"></script>


<script>window.__wsMaxIdleTimeMs=120000;
 window.__wsIdleTimeIntervalMs=30000;
 window.__helloResponseTimeoutMs=10000;</script>
<script>localStorage.setItem("redundancy.status", JSON.stringify({"activity_level":"Active","role":"Independent","peers":[]}));</script>

<!-- load the client -->
<script>window.__qualityCodes = [{code: 0, name: 'Good_Unspecified'},{code: 2, name: 'Good_WritePending'},{code: 192, name: 'Good'},{code: 200, name: 'Good_Provisional'},{code: 201, name: 'Good_Initial'},{code: 202, name: 'Good_Overload'},{code: 203, name: 'Good_Backfill'},{code: 1073742080, name: 'Uncertain'},{code: 1073742081, name: 'Uncertain_LastKnownValue'},{code: 1073742082, name: 'Uncertain_InitialValue'},{code: 1073742083, name: 'Uncertain_DataSubNormal'},{code: 1073742084, name: 'Uncertain_EngineeringUnitsExceeded'},{code: 1073742085, name: 'Uncertain_IncompleteOperation'},{code: -2147483136, name: 'Bad'},{code: -2147483135, name: 'Bad_Unauthorized'},{code: -2147483134, name: 'Bad_AccessDenied'},{code: -2147483133, name: 'Bad_Disabled'},{code: -2147483132, name: 'Bad_Stale'},{code: -2147483131, name: 'Bad_TrialExpired'},{code: -2147483130, name: 'Bad_LicenseExceeded'},{code: -2147483129, name: 'Bad_NotFound'},{code: -2147483128, name: 'Bad_ReferenceNotFound'},{code: -2147483127, name: 'Bad_AggregateNotFound'},{code: -2147483126, name: 'Bad_NotConnected'},{code: -2147483125, name: 'Bad_GatewayCommOff'},{code: -2147483124, name: 'Bad_OutOfRange'},{code: -2147483123, name: 'Bad_DatabaseNotConnected'},{code: -2147483122, name: 'Bad_ReadOnly'},{code: -2147483121, name: 'Bad_Failure'},{code: -2147483120, name: 'Bad_Unsupported'},{code: -2147483119, name: 'Bad_PartialFailure'},{code: -1073741056, name: 'Error'},{code: -1073741055, name: 'Error_Configuration'},{code: -1073741054, name: 'Error_ExpressionEval'},{code: -1073741053, name: 'Error_TagExecution'},{code: -1073741052, name: 'Error_TypeConversion'},{code: -1073741051, name: 'Error_DatabaseQuery'},{code: -1073741050, name: 'Error_IO'},{code: -1073741049, name: 'Error_TimeoutExpired'},{code: -1073741048, name: 'Error_Exception'},{code: -1073741047, name: 'Error_InvalidPathSyntax'},{code: -1073741046, name: 'Error_Formatting'},{code: -1073741045, name: 'Error_ScriptEval'},{code: -1073741044, name: 'Error_CycleDetected'}];
window.__assetDigests = {"material":"Kp7nlEjvsk96AaSnJDC0YNXTLouKrrJ3wDlxwCaZgZs=","symbol_mimic":"+0NSRQ/D1m+Gs3ynJuceFvqDOAIw0yvfM5fbkneEvCY=","symbol_simple":"VYS/8nowWa8QK5BgJ0Xl1YFwyJHzKPgveyWFimd3WIc=","ignition":"OHO486EHIApZN8QQS1pXsqM4Q3aZT/U2R8vu+BxSZMk=","symbol_p&id":"7osguOd5/4WGChLD04YMjQFOxO53jxlUTpiwtb/KK7o="};
<!-- before render -->
ReactDOM.createRoot(document.getElementById('app-container')).render(React.createElement(PerspectiveClient.Client, {
  "projectName": "Testing_Project",
  "projectTitle": "Testing Project",
  "platformEdition": "standard",
  "coBrandingEnabled": false
}, null));</script>
<!-- <BODY BOTTOM MARKER> -->


</body></html>